/****************************************************** 
 * File  : action.h   
 * Desc. : functions for extracting actions from 
 *         knight hunter universal plan
 * Author: Rune M. Jensen
 * Date  : 7/21/01
 ******************************************************/
#ifndef ACTIONH
#define ACTIONH

#include <bdd.h>
#include "execute.h"


// proptotypes
void InitPlan(char *planname,int nodes,int cache);
action ChooseAct(gridstate st,int ManHunt, int ManPrey);
bdd gridstate2bdd(gridstate st);
bdd int2bdd(int *var,int length,int n);

#endif  







