/****************************************************** 
 * File  : action.h   
 * Desc. : functions for extracting actions from 
 *         magnet universal plan
 * Author: Rune M. Jensen
 * Date  : 5/7/01
 ******************************************************/
#ifndef ACTIONH
#define ACTIONH

#include <bdd.h>
#include "execute.h"


// proptotypes
void InitPlan(char *planname);
action ChooseAct(gridstate st);
int NoOfAct(int *var,int length, bdd a);
bdd gridstate2bdd(gridstate st);
bdd int2bdd(int *var,int length,int n);

#endif  
