/****************************************************** 
 * File  : draw.h   
 * Desc. : header file for draw.cc
 * Author: Rune M. Jensen
 * Date  : 7/17/01
 ******************************************************/

#ifndef DRAWH
#define DRAWH


// prototypes
WindowObj MkGrid(Display* display,int screen_size);
WindowObj MkRec(Display* display, Window parent,int width,int higth,int screen_size);
void DrawGrid(Display* display, WindowObj grid,int screen_size);
void RedrawGrid(Display* display, WindowObj grid,int screen_size);
void DrawRec(Display* display, WindowObj rec,char *colorname);

#endif  
