/****************************************************** 
 * File  : main.h   
 * Desc. : header file for main file for the UMOP excuter demo for
 *         hunter domain
 * Author: Rune M. Jensen
 * Date  : 7/17/01
 ******************************************************/
#ifndef MAINH
#define MAINH

#include <X11/Xlib.h>

#define WIN_SIZE 50

struct WindowObj {
  Window win;
  GC     gc;
  int    higth;
  int    width;
};

struct DisplayInfo {
  WindowObj grid,Hunter,Prey;
  Display* display;
  int screen_size;
};
  
//prototype
void  printusage();

#endif  
