/****************************************************** 
 * File  : exefunc.hpp  
 * Desc. : functions for extracting actions from 
 *         hunter universal plan
 * Author: Rune M. Jensen
 * Date  : 10/16/01
 ******************************************************/
#ifndef EXEFUNCH
#define EXEFUNCH

#include <bdd.h>


// proptotypes
bdd chooseInit(domdef *def,bdd init, int mktrace, FILE *trace);
bdd chooseSysAct(domdef *def, trel *T, bdd plan, bdd currentState, int sysmanual, int mktrace, FILE *trace);
bdd chooseEnvAct(domdef *def, trel *T, bdd plan, bdd currentState, int envmanual, int mktrace, FILE *trace);
bdd chooseNewState(domdef *def, bdd envact, bdd sysact, trel *T, bdd currentstate, int mktrace, FILE *trace);

#endif  







