/*========================================================================
                              
                                ** UMOP **
		** Universal Multi-Agent OBDD-based Planner **

            Copyright (C) 1999 by Rune M. Jensen and Manuela M. Veloso
            Computer Science Department, Carnegie Mellon University.
            
    Permission is hereby granted to distribute the UMOP software for 
    research purposes, provided this notice is included with any such 
    distribution. 

      *** WE ARE NOT RESPONSIBLE FOR ANY KIND OF DAMAGE TO YOUR  ***
      *** FILES, DATA, HARDWARE, LOSS OF MONEY, SYSTEM CRASHES   *** 
      *** OR ANY OTHER THING YOU MIGHT COME UP WITH.             ***
      *** - USE THIS PROGRAM OF YOUR OWN FREE WILL !!!           ***

========================================================================*/
/****************************************************** 
 * File  : plan.hpp  
 * Desc. : Header for plan.cc
 * Author: Rune M. Jensen CS, CMU, (IAU, DTU)
 * Date  : 4/4/99
 ******************************************************/

#ifndef PLANHPP
#define PLANHPP

#include "fsm.hpp"



// function prototypes ***********************************
int SP(trel *tr, bdd init, bdd goal, bdd *sa,domdef *def);
int SCP(trel *tr, bdd init, bdd goal, bdd *sa,domdef *def);
int OP(trel *tr, bdd init, bdd goal, bdd *sa,domdef *def);
int SCGP(trel *tr, bdd init, bdd goal, bdd *sa,domdef *def);
int OGP(trel *tr, bdd init, bdd goal, bdd *sa,domdef *def);

#endif  
